<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <style>
      .sidebar {
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        width: 300px;
        background-color: blue;
      }
      .content {
        margin-left: 300px;
      }
      .model-body {
        background-color: white;
        margin: auto;
        height: 30%;
        width: 30%;
      }
      .model {
        height: 100%;
        width: 100%;
        top: 0;
        left: 0;
        position: fixed;
        background-color: gray;
        z-index: 10;
      }
    </style>
  </head>
  <body>
    <div class="model">
      <div class="model-body">
        <h1>I am a model</h1>
      </div>
    </div>
    <div class="sidebar">I am side Bar</div>
    <div class="content">
      <h1>I am contenet</h1>
    </div>
  </body>
</html>
